--- title: "changeTargetGroupConfiguration" slug: "networking-vloadbalancer-targetgroup-changetargetgroupconfiguration" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-targetgroup-changetargetgroupconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeTargetGroupConfiguration Available in VPC Change target group settings. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/changeTargetGroupConfiguration | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the target group whose settings you want to change - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `targetGroupNo` | String | Required | Target group number - See [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) | | `useStickySession` | Boolean | Conditional | Whether to enable per-session access - `true` \| `false` - It can be set if the target group's protocol type is `TCP`, `UDP`, `HTTP`, or `HTTPS` | | `useProxyProtocol` | Boolean | Conditional | Whether to use proxy protocols - `true` \| `false` - It can be set if the target group's protocol type is `PROXY_TCP` | | `algorithmTypeCode` | String | Conditional | Type of algorithm to use for load balancing - `RR` \| `SIPHS` \| `LC` \| `MH` - `RR`: Round Robin - `SIPHS`: Source IP Hash - `LC`: Least Connection - `MH`: Maglev Hash - Protocol type of the target group limits the values you can set - `HTTP`, `HTTPS`, `PROXY_TCP` protocol: `RR` \| `SIPHS` \| `LC` - `TCP`, `UDP` protocol: `RR` \| `MH` | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/changeTargetGroupConfiguration?regionCode=KR&targetGroupNo=*******&useStickySession=false&algorithmTypeCode=RR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetGroupList](/docs/en/common-vapidatatype-targetgrouplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 70f14491-1ab0-4471-8130-2508cd393823 0 success 1 ******* test-***** VSVR Server (VPC) ***** HTTP HTTP protocol 80 false false RR Round Robin 2024-06-03T13:30:20+0900 KR HTTP HTTP protocol 80 / GET HTTP GET Method 30 2 2 ```